---

elastic_image_name: "docker.elastic.co/elasticsearch/elasticsearch"
elastic_image_version: "7.16.1"

elasticsearch_exporter_image_name: "quay.io/prometheuscommunity/elasticsearch-exporter"
elasticsearch_exporter_image_version: "latest"

# needs to be localhost due to "tolina" proxy aka 'banning all outgoing connection than 80/443'
elastic_api_endpoint: 'localhost:{{ service_port_elasticsearch }}'

elastic_default_ilm_templates:
  - name: "{{ stage }}-ilm-default"
    template:
      policy:
        phases:
          hot:
            min_age: 0ms
            actions:
              rollover:
                max_age: '{{ elastic_ilm_hot_max_age_threshold | default("1d") }}'
              set_priority:
                priority: 100
          warm:
            min_age: '{{ elastic_ilm_warm_min_age_threshold | default("1d") }}'
            actions:
              readonly: {}
              set_priority:
                priority: 50
              allocate:
                number_of_replicas: 1
          cold:
            min_age: '{{ elastic_ilm_cold_min_age_threshold | default("7d") }}'
            actions:
              freeze: {}
              readonly: {}
              set_priority:
                priority: 0
              allocate:
                number_of_replicas: 1
          delete:
            min_age: '{{ elastic_ilm_delete_min_age_threshold | default("30d") }}'
            actions:
              delete:
                delete_searchable_snapshot: true
  - name: "{{ stage }}-ilm-docs-test"
    template:
      policy:
        phases:
          hot:
            min_age: 0ms
            actions:
              rollover:
                max_docs: 10
              set_priority:
                priority: 100
          warm:
            min_age: '1d'
            actions:
              readonly: {}
              set_priority:
                priority: 50
              allocate:
                number_of_replicas: 1
          cold:
            min_age: '3d'
            actions:
              freeze: {}
              readonly: {}
              set_priority:
                priority: 0
              allocate:
                number_of_replicas: 1
          delete:
            min_age: '7d'
            actions:
              delete:
                delete_searchable_snapshot: true

elastic_default_index_templates:
  - name: "{{ stage }}-idxtmpl-default"
    template:
      index_patterns: ["{{ stage }}-*"]
      priority: 100
      template:
        settings:
          number_of_shards: 2
          index:
            lifecycle:
              name: "{{ stage }}-ilm-default"
